/*
********************************************************************************
**  SAE J1699-5 Test Source Code
**
**   Copyright (C) 2021
**
**  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
**
**  This source code, when compiled and used with an SAE J2534-compatible pass
**  thru device, is intended to run the tests described in the SAE J1699-5
**  document in an automated manner.
**
**  This computer program is based upon SAE Technical Report J1699,
**  which is provided "AS IS"
**
**  See j1699.c for details of how to build and run this test.
**
********************************************************************************
*/

/*******************************************************************************
**  Screen data structures
*******************************************************************************/
typedef struct _StaticTextElement
{
   char * szLabel;
   short  X;
   short  Y;
} StaticTextElement;

typedef struct _DynamicValueElement
{
   short  X;
   short  Y;
   int    Width;
} DynamicValueElement;

/*******************************************************************************
**  Dynamic screen handling functions
*******************************************************************************/
void init_screen        ( StaticTextElement   elements[], int num_elements );
void place_screen_text  ( StaticTextElement   elements[], int num_elements );
void update_screen_dec  ( DynamicValueElement elements[], int num_elements, int index, int value );
void update_screen_hex  ( DynamicValueElement elements[], int num_elements, int index, int value );
void update_screen_text ( DynamicValueElement elements[], int num_elements, int index, const char *value );


/*******************************************************************************
**  low-level screen functions
*******************************************************************************/
void gotoxy ( short x, short  );
void setrgb ( int color );
void clrscr ();
void get_cursor_pos ( short * x, short * y );